My perfect coding setup

Irgendwie komme ich einfach nicht zum Programmieren. Die vielen Konfigurationsmöglichkeiten und Plugins von Eclipse faszinieren mich einfach zu sehr.

Die letzten Tage habe ich damit verbracht mir ein schönes IDE zusammenzustellen. Zusammen mit meinem VServer ist daraus ein ziemlich komfortables und hoffentlich produktives System entstanden.

Hier ein kurzer Überblick über die eingesetzte Software:

Eclipse (Europa):

  • Subversive
  • AVR-Eclipse
  • Mylyn
  • PDT
  • WST
  • JST
  • QT
  • CDT
  • JSEclipse
  • DTP
  • JDT
  • RSE
  • SQL Explorer
  • Clay Database

Server:

  • Trac 10.3
  • SVN 1.4

Anfangs benutzte ich noch Zend Studio zum Programmieren. Nachdem auch Zend nun ihre IDE auf dem Eclipse Framework aufbaut (Zend Neon) habe ich mich entschieden auch auf ein Eclipse und damit Open Source basiertes System zu wechseln.

Nun habe ich alles unter einem Hut und eine immense Funktionsvielfalt. Früher musste ich für 2-3 verschiedenen IDEs die Bedienung und Shortcuts lernen. Nun ist alles einheitlich.

Besonders beindruckt bin ich von der Teamfähigkeit von Eclipse mit Mylyn, SVN & CVS wird das Entwickeln im Team zum Kinderspiel.

Auch wenn ich meistens alleine an einem Projekt arbeite, haben Tools wie SVN, CVS und Mylyn extrem viele Vorteile, die ich nur zu gerne mal im Team nutzen würde.

Update: Mittlerweile sind wir zu git gewechsel.

3 Gedanken zu „My perfect coding setup“

  1. Hallo Steffen,

    vielleicht kannst du mir bei einem Problem weiterhelfen, das ich bei der Installation von Plugins fast ausnahmslos habe. Immer, wenn ich die Plugins ausgewählt habe, die installiert werden sollen, meldet mir eclipse, dass irgendwelche Abhängigkeiten nicht erfüllt sind. Wenn ich versuche diese Abhängigkeiten zu „erfüllen“, dann sind weitere Abhängigkeiten nicht erfüllt usw. Und es ist mir einfach zu doof, jahrelang nach den Abhängigkeiten zu suchen, die dann wieder irgendwelche Abhängigkeiten haben.

    Gibt es irgendeinen Weg, die Abhängigkeiten automatisch zu erfüllen / die benötigten Plugins automatisch mit herunterzuladen?

    Wenn du möchtest mach ich auch nochmal einen Screenshot von meinem Problem, aber vllt. kennst du das ja selbst und hast eine Lösung.

    Gruß, Robert

  2. Hi Robert,
    anfangs hatte ich ich das gleiche Problem wie du. Irgendwann habe ich dann mal im IRC erfahren, dass es in einer bestimmten Eclipse Version einen Bug beim Erfüllen der Abhängigkeiten geben soll. Vielleicht hast du gerade diese Version erwischt?
    Für PDT gibts es zB. ein All-in-One Package, dass schon alle Abhängigkeiten enthält.
    Ansonsten kommt es ganz darauf an welche „Remote Sites“ du hinzugefügt hast. Die standardmäßig vorhandene „Europa Discovery Site“ enthällt nicht alle Plugins.

    gruß Steffen

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.